---
title: ContainerStackView.Alignment
---

Describes the alignment of the arranged subviews in perpendicular to the container's axis.

``` swift
public struct Alignment: Equatable 
```

## Inheritance

`Equatable`

## Properties

### `fill`

Makes the arranged subviews so that they **fill** the available space perpendicular to the container’s axis.

``` swift
public static let fill 
```

### `leading`

Makes the arranged subviews align to the **leading edge** in a **vertical axis** container.

``` swift
public static let leading 
```

### `top`

Makes the arranged subviews align to the **top edge** in a **horizontal axis** container.

``` swift
public static let top 
```

### `trailing`

Makes the arranged subviews align to the **trailing edge** in a **vertical axis** container.

``` swift
public static let trailing 
```

### `bottom`

Makes the arranged subviews align to the **bottom edge** in a **horizontal axis** container.

``` swift
public static let bottom 
```

### `center`

Makes the arranged subviews align to the **center** along its axis.

``` swift
public static let center 
```
